Skip to main content

Execute Transaction

The unsafe_transferSui method is replaced by client-side transaction building. Use the SDK to create a Transaction, call tx.transferObjects(...), sign it, and submit via ExecuteTransaction.

Service​

sui.rpc.v2.TransactionExecutionService

Parity​

Composite

This method is part of a composite mapping for unsafe_transferSui.

Request​

Parameters​

{
"transaction": {
"bcs": "..."
}
}

Example (grpcurl)​

grpcurl -H "x-api-key: YOUR_API_KEY" \
-d '{"transaction":{"bcs":"..."}}' \
grpc.surflux.dev:443 \
sui.rpc.v2.TransactionExecutionService/ExecuteTransaction
▶Run in Playground

Response​

The response structure is defined by the sui/rpc/v2/transaction_execution_service.proto definition.

Response Fields​

FieldTypeDescription
transactionExecutedTransactionSee proto definition
info

For full field definitions, please refer to the Sui Protobuf definitions.